<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/ClusterData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ClusterData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_cluster_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ClusterDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ClusterDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_cluster_data.html">ClusterData</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">   17</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">energy</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">   18</a></span>&#160;  std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">position</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">   19</a></span>&#160;  std::array&lt;float, 6&gt; <a class="code" href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">positionError</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">theta</a>; </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">   21</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">phi</a>; </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">   22</a></span>&#160;  std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">directionError</a>; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">   24</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">clusters_begin</a>;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">   25</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">clusters_end</a>;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">   26</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">hits_begin</a>;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">   27</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">hits_end</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_cluster_data_html_a91805d7178017473d44cc8b4cee6c064"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">eic::ClusterData::clusters_begin</a></div><div class="ttdeci">unsigned int clusters_begin</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00024">ClusterData.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a983c8dcfc28d5826e73c4d59f5532893"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">eic::ClusterData::hits_begin</a></div><div class="ttdeci">unsigned int hits_begin</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00026">ClusterData.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a7663b81d02b0413718bd441d078ba03a"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">eic::ClusterData::positionError</a></div><div class="ttdeci">std::array&lt; float, 6 &gt; positionError</div><div class="ttdoc">Covariance matrix of the position (6 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00019">ClusterData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_ae94839ec523383760de895822e17bf4c"><div class="ttname"><a href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">eic::ClusterData::directionError</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; directionError</div><div class="ttdoc">Covariance matrix of the direction (3 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00022">ClusterData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a57cafd5ffd0789d57d5952109c63d134"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">eic::ClusterData::theta</a></div><div class="ttdeci">float theta</div><div class="ttdoc">Intrinsic direction of cluster at position - Theta. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00020">ClusterData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a8bc333749f874dd923659dfeb9688fa4"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">eic::ClusterData::position</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; position</div><div class="ttdoc">Position of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00018">ClusterData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_a262e9f94006e1a8b9496180d6232286e"><div class="ttname"><a href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">eic::ClusterData::clusters_end</a></div><div class="ttdeci">unsigned int clusters_end</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00025">ClusterData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html"><div class="ttname"><a href="classeic_1_1_cluster_data.html">eic::ClusterData</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00015">ClusterData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_ac7822ae895bceec8bfeaa7837dc41264"><div class="ttname"><a href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">eic::ClusterData::hits_end</a></div><div class="ttdeci">unsigned int hits_end</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00027">ClusterData.h:27</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_ab62ae69ad6fec6b43e838039acbae3e6"><div class="ttname"><a href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">eic::ClusterData::phi</a></div><div class="ttdeci">float phi</div><div class="ttdoc">Intrinsic direction of cluster at position - Phi. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00021">ClusterData.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_data_html_addc4c3a99fde593040f699d6ea583d62"><div class="ttname"><a href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">eic::ClusterData::energy</a></div><div class="ttdeci">float energy</div><div class="ttdoc">Energy of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_data_8h_source.html#l00017">ClusterData.h:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
